Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.binding
[Java] Interface StructuredPropertyEditor

    @java.lang.SuppressWarnings("rawtypes")
    public interface StructuredPropertyEditor

A PropertyEditor that is able to edit structured properties (properties made up of multiple field values). The #assemble method takes the required type and a map of field values and create an instance of the required type.

Authors:
  Graeme Rocher

Since:
  1.0.4

Method Summary
`java.lang.Object` | `assemble(java.lang.Class type, java.util.Map fieldValues)` Assemble and bind a property value from the specified fieldValues and the given type
`java.util.List` | `getOptionalFields()` @return The optional fields
`java.util.List` | `getRequiredFields()` @return The required fields

Method Detail

### assemble

    public java.lang.Object assemble(java.lang.Class type, java.util.Map fieldValues)

  Assemble and bind a property value from the specified fieldValues and the given type
  throws:
    IllegalArgumentException Thrown in one of the field values is illegal
  Parameters:
    `type` - The type
    `fieldValues` - The field values
  Returns:
    A bound property

### getOptionalFields

    public java.util.List getOptionalFields()

  Returns:
    The optional fields

### getRequiredFields

    public java.util.List getRequiredFields()

  Returns:
    The required fields

Groovy Documentation